#
# u1d1.rb
#
# $Id: u1d1.rb,v 1.1 2000/11/21 03:15:29 keiko Exp $
#

require "narray"
require "numru/dcl"

include NumRu::DCL
include NMath


nmax = 51
xmin = 1945
xmax = 1995

y = NArray.sfloat(nmax)

#-- data ----
y0 = 0.5
for n in 0..nmax-1
  y[n] = 5.0*y0 + 10.0
  y0 = 3.7*y0*(1.0-y0)
end

rundef = glrget('RUNDEF')

#-- graph ----
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; sgpwsn; gets)).to_i
gropn iws
grfrm

grswnd(xmin, xmax, rundef, rundef)
ussttl('TIME', 'YEAR', 'TEMPERATURE', 'DEG')
usgrph(nmax, rundef, y)

grcls

